package cn.quantgroup.xyqb.model;

import cn.quantgroup.xyqb.entity.User;
import lombok.Data;

/**
 * 用户登录简项信息，含Token
 * 供Auth2.0技术网关手机号+短信验证码登录成功使用
 */
@Data
public class UserRetWithToken extends UserRet {
    /**
     * created by user-center,to sync with api-gateway
     */
    private String token;

    public UserRetWithToken(User user, String token) {
        super(user);
        this.setToken(token);
    }
}
